Bug 1573318 - quassel: multiple vulnerabilities fixed in 0.12.5
Summary: quassel: multiple vulnerabilities fixed in 0.12.5
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20180430,repo...
Depends On: 1573319 1573320
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-30 20:22 UTC by Pedro Sampaio
Modified: 2019-06-10 10:20 UTC (History)
3 users (show)

Fixed In Version: quassel 0.12.5
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:20:53 UTC


Attachments (Terms of Use)

Description Pedro Sampaio 2018-04-30 20:22:12 UTC
Vuln 1:
Title: quasselcore, corruption of heap metadata caused by qdatastream
leading to preauth remote code execution.
Severity: high, by default the server port is publicly open and the address
can be requested using the /WHOIS command of IRC protocol.
Description: In Qdatastream protocol each object are prepended with 4 bytes
for the object size, this can be used to trigger allocation errors.


Vuln 2:
Title: quasselcore DDOS
Severity: low, impact only a quasselcore not configured.
Description: A login attempt causes a NULL pointer dereference because when
the database is not initialized.

References:

https://bugs.gentoo.org/653834
https://www.quassel-irc.org/node/130

Comment 1 Pedro Sampaio 2018-04-30 20:22:41 UTC
Created quassel tracking bugs for this issue:

Affects: epel-7 [bug 1573320]
Affects: fedora-all [bug 1573319]

Comment 2 Chris Egeland 2018-05-01 13:24:15 UTC
The vulnerabilities in this bug report have been assigned CVE numbers as follows:

Vuln 1: CVE-2018-1000178

Vuln 2: CVE-2018-1000179


Reference:

http://seclists.org/oss-sec/2018/q2/81

Comment 3 Product Security DevOps Team 2019-06-10 10:20:53 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.